<?php
/***
* Das Script empfaengt POST-Parameter und leitet zu nach Parametern bestimmten PHP-Scripten um
* Im Faelerfall wird die Errorseite aufgerufen
*
* author      : Andreas Schilke
* date        : 14.10.2004
* change date : 22.02.2005
*********************************************
* include files: php/include/session.inc.php; php/include/check.inc.php; php/include/login.inc.php;
*                private_sites/admin/sites/persForm.php; php/persFormEdit.php;
*                private_sites/admin/sites/mitForm1.php
* variables    : 
* constants    : HOST - Hostadresse vom aktuellen Projekt
***/

# Session starten
session_start();

# Lebensdauer der Session auf 0 setzen
session_set_cookie_params(0);

# Array enthaelt saemtliche Pfade zu den Dateien fuer die GET-Navigation (Privatbereich)
$arrSiteAdresse = array ( 'admin' => array														# Admin des Unternehmens
                                     ( 'allgemein' => array
                                                      ( 'private/admin/index.php' ),
                                       'work' => array
                                       				  ('private/admin/formwork/index.php',
                                       				   'private/admin/formwork/mitwork1.php',
                                       				   'private/admin/formwork/mitwork2.php',
                                       				   'private/admin/formwork/mitwork3.php',
                                       				   'private/admin/formwork/mitwork4.php',
                                       				   'private/admin/formwork/mitwork5.php',
                                       				   'private/admin/formwork/mitwork6.php'
                                       				  ),
                                       'personal' => array
                                                     ( 'private/admin/formgesamt/personal.php',
                                                       'private/admin/formgesamt/pers1.php',
                                                       'private/admin/formgesamt/pers2.php',
                                                       'private/admin/formgesamt/pers3.php',
                                                       'private/admin/formgesamt/pers4.php',
                                                       'private/admin/formgesamt/pers5.php',
                                                       'private/admin/formgesamt/pers6.php'
                                                      ),
                                       'mitarbeiter' => array
                                                       ( 'private/admin/formgesamt/mitarbeiter.php',
                                                         'private/admin/formgesamt/mit1.php',
                                                         'private/admin/formgesamt/mit2.php',
                                                         'private/admin/formgesamt/mit3.php',
                                                         'private/admin/formgesamt/mit4.php',
                                                         'private/admin/formgesamt/mit5.php',
                                                         'private/admin/formgesamt/mit5.php'
                                                        )
                                      ),
                          'personal' => array													# Pers.-Abteilung des Unternehmens
                                     ( 'fragebogen' => array
                                                     ( 'private/personal/index.php',
                                                       'private/personal/pers1.php',
                                                       'private/personal/pers2.php',
                                                       'private/personal/pers3.php',
                                                       'private/personal/pers4.php',
                                                       'private/personal/pers5.php',
                                                       'private/personal/pers6.php',
                                                       'private/personal/perssend.php'
                                                      )
                                      ),
                          'mitarbeiter' => array												# Mitarbeiter des Unternehmens
                                     ( 'fragebogen' => array
                                                     ( 'private/mitarbeiter/index.php',
                                                       'private/mitarbeiter/mit1.php',
                                                       'private/mitarbeiter/mit2.php',
                                                       'private/mitarbeiter/mit3.php',
                                                       'private/mitarbeiter/mit4.php',
                                                       'private/mitarbeiter/mit5.php',
                                                       'private/mitarbeiter/mitsend.php'
                                                      )
                                      ),
                          'logout' => array														# Log Out des Users
                                     ( 'off' => array
                                                     ( 'login/logout.php' )
                                     )

                          );

# Wenn SESSION enthaelt keine Login-Variable oder wenn der User ausgeloggt ist
if ( $_SESSION && ($_SESSION['login'] === 'off' || !$_SESSION['login']) )
{
  KillSession();
  @header("Location: http://".$_SERVER['HTTP_HOST'].'/gender/');
  exit;
}

# Login-Formular
if ( $_POST && $_POST['Form'] == 'Log In' && count ($_POST) == 4 ) {
	  # Login-Formular
	  setLogin();
# Der eingeloggte Benutzer
} else if ( $_GET && $_SESSION && ($_SESSION['login'] === 'on') && ($_GET['site'] == $_SESSION['userrecht']) ) {
  # Navigation im Privatbereich
  NavigationSite($arrSiteAdresse);
} else {
  KillSession();
  @header("Location: http://".$_SERVER['HTTP_HOST'].'/gender/');
}

# Log In
function setLogin()
{
  /* Formular per POST verschickt */
  if ( $_POST && isset($_POST['Submit']) )
  {
    # Formularname (im hidden-Feld versteckt)
    if ( isset($_POST['Form']) )
    {
      switch ($_POST['Form'])
      {
        # Login-Formular bearbeiten
        case 'Log In';
          $action = 'login';                    // die zu ausfuerende Aktion fuer das naechste Skript
          include_once ('login/loginForm.php');
          break;
          
        default:
          echo "Unzul&auml;ssiger Zugriff! (Wert des Formularnamens)";
      }
    } else {
      echo "Unzul&auml;ssiger Zugriff! (Name des Formulares)";
    }
  } else {
        KillSession();
        @header("Location: http://".$_SERVER['HTTP_HOST'].'/gender/');
        exit;
  }
}

# In privaten Sites (nach erfolgreicher Anmeldung) navigieren
function NavigationSite($arrSiteAdresse)
{
  if ($_GET) {
      # nach genau 3 GET-Parameter pruefen
      if ( ( isset($_GET['site']) && key_exists($_GET['site'], $arrSiteAdresse) )
           && ( isset($_GET['form']) && key_exists($_GET['form'], $arrSiteAdresse[$_GET['site']]) )
           && ( isset($_GET['part']) ) )
      {
        # aufgefordete Datei einbinden
        $res = @include_once ($arrSiteAdresse[$_GET['site']][$_GET['form']][$_GET['part']]);
        # Falls "include_once" fehlgeschlagen
        if ($res === false) {
         KillSession();
         @header("Location: http://".$_SERVER['HTTP_HOST'].'/gender/');
         exit;
        }
      } else {
        echo "Unzul&auml;ssiger Zugriff! (Unzul&auml;ssige GET-Variablen)";
      }  
  }
}

/* Session loeschen */
function KillSession()
{
  # Lschen aller Session-Variablen.
  $_SESSION = array();
  session_unset();
  # Zum Schlu, lschen der Session.
  session_destroy();
}
?>
