<?php
/***
* Das Script ueberarbeitet das Login-Formular
* author      : Andreas Schilke
* date        : 14.10.2004
* change date : 02.01.2006
*********************************************
* include files: ./php/include/mysql.inc.php; ./private_sites/admin/index.php
* variables    : 
* constants    : HOST - Hostadresse vom aktuellen Projekt
***/

/******** Benuter-Formulareingaben ********/

# Alle Eingabefelder sind leer - zurueck mit Errormeldung
if (!$_POST['Username'] && !$_POST['Password'] && !$_POST['PasswVergessen']) {
  header("Location: http://".PFAD."error.shtml?blank"); session_unset(); exit;
}

# Username bzw. User-Email
if ($_POST['Username'])
	$user = substr(trim($_POST['Username']), 0, 40);

# Password
if ($_POST['Password'])
	$passw = md5(substr(trim($_POST['Password']), 0, 15));

# Checkbox "Kennwort vergessen?"
if ($_POST['PasswVergessen'])
	$vergessen = $_POST['PasswVergessen'];
/*************************************************/

/********** Eingabefelder nach Fuellen pruefen ***********/

# Es wurde Checkbox angeklickt (Name und Kennwort sind leer) oder
# Es wurde das Feld "Name" gefuellt ohne das Checkbox anzukreuzen
# Weiterleiten zur Seite "Kennwort vergessen"
if ( ( empty($user) && empty($passw) && !empty($vergessen) ) ||
   ( !empty($user) && empty($passw) && empty($vergessen) ) ) {
  header("Location: http://".PFAD."password.shtml"); session_unset(); exit;
}

# Es wurde nur das Feld "Kennwort" gefuellt - zurueck mit Errormeldung
if ( empty($user) && !empty($passw) ) {
  header("Location: http://".PFAD."error.shtml?blank"); session_unset(); exit;
}

# Es wurde nur Checkbox angeklickt (Name und Kennwort sind leer) - zur Seite "Kennwort vergessen" weiterleiten
if ( !empty($user) && empty($passw) && empty($vergessen) ) {
  header("Location: http://".PFAD."password.shtml"); session_unset(); exit;
}
/*************************************************/

/******************** Benutzereingaben nach Gueltigkeit checken ********************/

/* Objekt fuer Checken der Formulareingaben erzeugen */
$objCheckF = new CheckForm;

 # Die Eingabe ist Email?
if($objCheckF->IsMail($user)) {
  # Ist Email gueltig?
  if($objCheckF->CheckMail($user)) {
    if ( !empty($user) && !empty($passw) )
		$query = 'SELECT uUser, uSurely, eID, eFirm, eFormMitarbStatus, eFormPersonalStatus'.
             ' FROM user, enterprise'.
             ' WHERE (uEmail1 = \''.$user.'\' OR uEmail2 = \''.$user.'\')'.
             ' AND uPassword = \''.$passw.'\''.
             ' AND uEnterpriseID = eID';
  } else {
    # zurueck zur Startseite mit Error-Meldung "Email falsch geschrieben"
    header ("Location: http://".PFAD."error.shtml?mail"); session_unset(); exit;
  }
# Die Eingabe ist Username
} else {
  # Sind Eingabezeichen zulaessig?
  if(!$objCheckF->CheckMark($user)) {
		$query = 'SELECT uUser, uSurely, eID, eFirm, eFormMitarbStatus, eFormPersonalStatus'.
             ' FROM user, enterprise'.
             ' WHERE uUser = \''.$user.'\''.
             ' AND uPassword = \''.$passw.'\''.
             ' AND uEnterpriseID = eID';
  } else {
    # zurueck zur Startseite mit Error-Meldung "Username falsch geschrieben"
    header ("Location: http://".PFAD."error.shtml?name"); session_unset(); exit;
  }
}
/*******************************************************************/

/******************** MySQL-Datenbank ********************/
# Datei fuer MySQL-Datenbank einbinden
include 'php/include/mysql.inc.php';

# Datei fuer PHP-Funktionen einbinden
include 'php/include/functions.inc.php';

# SQL-Query senden
$result = @mysql_query($query);

# Wenn kein Datensatz gefunden - zurueck mit Error-Meldung (keinen Datensatz gefunden)
if(@mysql_num_rows($result) == 0) {
  header ("Location: http://".PFAD."error.shtml?db_blank"); session_unset(); exit;
}

# Result-Ergebniszeile als Objekt definieren
$row = @mysql_fetch_object($result);

/* Falls das Kennwort vergessen wurde - Email mit dem Kennwort verschicken */
if (empty($passw)) {
  $message = "Jemand hat sich bei Gender-Analyse-Portal unter Ihrem Namen eingelogt.\r\nIhr Kennwort lautet: "
             .$passw."\r\n Loggen Sie bitte unter http://www.equal-ostbayern.de/gender/ ein.\r\n";
  $bMail = @mail("andreas_schilke&#64;web.de", "Kennwort bei Gender-Analyse", $message,
  "From: info&#64;equal-ostbayern.de\r\n"
  ."Reply-To: info&#64;equal-ostbayern.de\r\n");
  # Email mit dem Kennwort erfolgreich verschickt
  if (!empty($bEmail)) {
    header ("Location: http://".PFAD.""); session_unset(); exit;
  # Email konnte nicht verschickt werden (Mail-Server-Probleme) */
  } else {
    header ("Location: http://".PFAD."error.shtml?mail_connect"); session_unset(); exit;
  }
}

# Der User ist erfolgreich eingeloggt
$_SESSION['user']                  = $user;
$_SESSION['login']                 = 'on';
$_SESSION['userrecht']             = $row->uSurely;
$_SESSION['firma']                 = $row->eFirm;
$_SESSION['unternehmen_id']        = $row->eID;
$_SESSION['formular_mitarb_status']= $row->eFormMitarbStatus;
$_SESSION['formular_person_status']= $row->eFormPersonalStatus;

/*** Rechte des Users ***/
if($row->uSurely == 'admin') {
  $area = 'admin/';
  $attachment = 'site=admin&form=allgemein&part=0';
} else if($row->uSurely == 'personal') {
  $area = 'personal/';
  $attachment = 'site=personal&form=fragebogen&part=0';
} else if($row->uSurely == 'mitarbeiter') {
  $area = 'mitarbeiter/';
  $attachment = 'site=mitarbeiter&form=fragebogen&part=0';
} else {
  header ("Location: http://".PFAD."error.shtml?general"); session_unset(); exit; 
}

# Freigeben des Resultsets 
@mysql_free_result($result);
# Schliessen MySQL-Verbindung
@mysql_close ($link);

/*** Umleitung zum privaten Bereich ***/
header("Location: http://".PFAD."nav.php?".$attachment);
exit;
?>
